#!/bin/bash

: ${1?"usage: ${0} <emb_size>"}

emb_size=${1}

declare -a projects=("ant-1.8.2" "antlr-3.4" "argouml-0.34" "hadoop-1.1.2"  "hibernate-4.2.0" "jhotdraw-7.5.1" "lucene-4.2.0" "maven-3.0.5" "pmd-4.2.5" "tomcat-7.0.2")
declare -a representations=("cfg")
declare -a granularities=("types" "methods")

for project in "${projects[@]}"; do
	for rep in "${representations[@]}"; do
		for gran in "${granularities[@]}"; do
			
			echo "$project $gran"
			
			mkdir -p "../../out/proj/distance/$project/$rep/"
			
			REP="../../out/proj/rep/$project/$rep/$gran.src"
			OUT="../../out/proj/distance/$project/$rep/$gran.dist"
			#o="../../out/proj/distance/$project/$rep/$gran.dist.log"
			
			#touch ${o}
			#&> ${o}
			python ./GEM/CFGEmbedding.py --cfg ${REP} --emb ${emb_size} --out ${OUT}
			
	    done
	done
done
